/*
 * Copyright (c) 2023 Jiri Svoboda
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * - Redistributions of source code must retain the above copyright
 *   notice, this list of conditions and the following disclaimer.
 * - Redistributions in binary form must reproduce the above copyright
 *   notice, this list of conditions and the following disclaimer in the
 *   documentation and/or other materials provided with the distribution.
 * - The name of the author may not be used to endorse or promote products
 *   derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/** @addtogroup libdispcfg
 * @{
 */
/** @file
 */

#ifndef LIBDISPCFG_IPC_DISPCFG_H
#define LIBDISPCFG_IPC_DISPCFG_H

#include <ipc/common.h>

typedef enum {
	DISPCFG_CALLBACK_CREATE = IPC_FIRST_USER_METHOD,
	DISPCFG_GET_SEAT_LIST,
	DISPCFG_GET_SEAT_INFO,
	DISPCFG_SEAT_CREATE,
	DISPCFG_SEAT_DELETE,
	DISPCFG_DEV_ASSIGN,
	DISPCFG_DEV_UNASSIGN,
	DISPCFG_GET_ASGN_DEV_LIST,
	DISPCFG_GET_EVENT,
} dispcfg_request_t;

typedef enum {
	DISPCFG_EV_PENDING = IPC_FIRST_USER_METHOD
} dispcfg_event_t;

#endif

/** @}
 */
